Bug 1258241 - Review Request: nodejs-basic-auth-parser - Parse Basic Auth Authorization HTTP headers
Review Request: nodejs-basic-auth-parser - Parse Basic Auth Authorization HTT...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1258248
  Show dependency treegraph
 
Reported: 2015-08-30 09:43 EDT by Piotr Popieluch
Modified: 2015-09-18 14:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.0.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 20:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-08-30 09:43:33 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-basic-auth-parser.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-basic-auth-parser-0.0.2-1.fc22.src.rpm
Description: Parse Basic Auth Authorization HTTP headers
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-08-31 06:54:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/tom/1258241-nodejs-basic-auth-
     parser/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-basic-auth-parser-0.0.2-1.fc24.noarch.rpm
          nodejs-basic-auth-parser-0.0.2-1.fc24.src.rpm
nodejs-basic-auth-parser.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-basic-auth-parser.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-basic-auth-parser (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-basic-auth-parser:
    nodejs-basic-auth-parser
    npm(basic-auth-parser)



Source checksums
----------------
https://registry.npmjs.org/basic-auth-parser/-/basic-auth-parser-0.0.2.tgz :
  CHECKSUM(SHA256) this package     : 380bc0d87cd00c8c46ac5919eb9707db8cba0d44043aa71b999cf9c1109d144d
  CHECKSUM(SHA256) upstream package : 380bc0d87cd00c8c46ac5919eb9707db8cba0d44043aa71b999cf9c1109d144d


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1258241
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-08-31 06:54:22 EDT
Looks fine. Package approved.
Comment 3 Piotr Popieluch 2015-08-31 10:54:34 EDT
Thanks

New Package SCM Request
=======================
Package Name: nodejs-basic-auth-parser
Short Description: Parse Basic Auth Authorization HTTP headers
Upstream URL: https://www.npmjs.com/package/basic-auth-parser
Owners: piotrp
Branches: f21 f22 f23 epel7
Comment 4 Gwyn Ciesla 2015-08-31 14:00:22 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-08-31 16:20:41 EDT
nodejs-basic-auth-parser-0.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14700
Comment 6 Fedora Update System 2015-08-31 16:21:42 EDT
nodejs-basic-auth-parser-0.0.2-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14701
Comment 7 Fedora Update System 2015-08-31 16:27:31 EDT
nodejs-basic-auth-parser-0.0.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14704
Comment 8 Fedora Update System 2015-09-01 05:57:54 EDT
nodejs-basic-auth-parser-0.0.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-basic-auth-parser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14704
Comment 9 Fedora Update System 2015-09-01 06:04:20 EDT
nodejs-basic-auth-parser-0.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-basic-auth-parser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14700
Comment 10 Fedora Update System 2015-09-01 11:49:32 EDT
nodejs-basic-auth-parser-0.0.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-basic-auth-parser'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14701
Comment 11 Fedora Update System 2015-09-08 20:22:06 EDT
nodejs-basic-auth-parser-0.0.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-09 00:21:01 EDT
nodejs-basic-auth-parser-0.0.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-18 14:59:49 EDT
nodejs-basic-auth-parser-0.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.